package com.unis.base.server.service;

import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.*;

import java.util.List;

public interface TalentGroupService {
    void addOrganization(GroupVO groupVO);

    PageInfo<GroupPersonSVO> seeOrganization(String  groupId ,Integer pageNum,Integer pageSize);

    PersonnelMxVO seePersonOrganization(String rybh);

    void insertInfo(GroupMainVo viewObj);

    void deleteInfo(String groupName);

    PageInfo<GroupVO> organization(String groupName, Integer pageNum, Integer pageSize);

    void deletePersonInfo(String userId, String groupId);

    PersonnelMxVO catchPersonnelHDetails(String rybh);

    List<GroupPersonVO> seeAndPersonOrganization(GroupMainVo viewObj);

    List<GetPagePersonnelVO> pageSDetails();

    PageInfo<PersonnelMxVO> getPpersonDetails( UserQueryVo userQueryVo);

    List<GroupPersonSVO> personexport(String groupId);
}
